//----------------------------------------------------------------
// Eksempel med aflsning af tekst og ndring af status af felter
// I eksemplet anvendes en eventmodel med selvstndige event-listener,
// der defineres som indre private klasser og som derfor har tilgang
// til Frame'ts private data
//----------------------------------------------------------------

import java.awt.*;
import java.awt.event.*;

class GuiFieldState extends Frame
{
  private Button 		knap1 		=	new Button("Knap1: Kopier tekst til label");
  private Button 		knap2 		=	new Button("Knap2: Disable af knap1");
  private Button 		knap3 		=	new Button("Knap3: usynliggr knap1");
  private Button 		knap4 		=	new Button("Knap4: st teksttil ikke editerbar");
  private Label 		label1		=	new Label ("Her er en Label:..............",Label.CENTER);
  private TextField 	tekst1		= 	new TextField ("Her er et tekstfelt1.................");


  public GuiFieldState ()			/* constructor */
  {
    setSize(600, 400);
    setTitle("GuiFieldState  brug af tekstfelter og ndring af status   ");

    setLayout(new FlowLayout(FlowLayout.CENTER, 10, 10));		

    add(knap1);
    knap1.addActionListener(new knap1ActionListener());

    add(knap2);
    knap2.addActionListener(new knap2ActionListener());

    add(knap3);
    knap3.addActionListener(new knap3ActionListener());

    add(knap4);
    knap4.addActionListener(new knap4ActionListener());

    add(label1);
    add(tekst1);

    setVisible(true);
  }

  private	class knap1ActionListener implements java.awt.event.ActionListener
  {
    public void actionPerformed(ActionEvent e)
    {
      label1.setText(tekst1.getText());
    }
  }

  private	class knap2ActionListener implements java.awt.event.ActionListener
  {
    public void actionPerformed(ActionEvent e)
    {
      knap1.setEnabled(!knap1.isEnabled());
      if (knap1.isEnabled())
        knap2.setLabel("Knap2: Disable af knap1");
      else
        knap2.setLabel("Knap2: Enable af knap1");
    }
  }

  private	class knap3ActionListener implements java.awt.event.ActionListener
  {
    public void actionPerformed(ActionEvent e)
    {
      knap1.setVisible(!knap1.isVisible());
      if (knap1.isVisible())
        knap3.setLabel("Knap3: vis knap1");
      else
       knap3.setLabel("Knap3: usynliggr knap1");
    }
  }

  private	class knap4ActionListener implements java.awt.event.ActionListener
  {
  public void actionPerformed(ActionEvent e)
  {
    tekst1.setEditable(!tekst1.isEditable());
    if (tekst1.isEditable())
      knap4.setLabel("Knap4: st tekst til ikke editerbar");
    else
      knap4.setLabel("Knap4: st tekst til editerbar");
    }
  }



} // slut p frame-klasse
